using System;
using System.Collections.Generic;
using System.Text;
using CIA_CSS;
using CSS_User;
using IndianHealthService.BMXNet.Services;
using IndianHealthService.BMXNet.Model;


namespace IndianHealthService.BMXNet.EHR.Services
{
    internal class BMXNetSessionViaCssSession
    {
        public static RemoteSession Open(ICSS_Session aCiaSession, ICSS_User aCiaUser,IndianHealthService.BMXNet.Model.User aUser)
        {
            BMXNetBroker broker = BMXNetEhrBroker.Open(aCiaSession, aCiaUser, aUser);

            return broker.RemoteSessionPool.OpenSession();
        }
    }
}
